# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(
%define _disable_ld_no_undefined 1

Name: x11-driver-video-i810
Version: 1.7.4
Release: %mkrel 31
Summary: X.org driver for Intel i810
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-i810-%{version}.tar.bz2
Patch0: x11-driver-video-i810-vt_fix.patch
Patch1: xf86-video-i810-fix-version-test.patch  
# revert support for old "new" drm manager
# upstream reverted it on 237847007afb5a429a50b6aa0b1acc239326571b
# but it's easier to revert the c0ee50c4ee5ff2c594fdf60c9cb8b952e25644de commit
# that introduced support
Patch2: xf86-video-i810-drm-support.patch
Patch3: xf86-video-i810-1.6.5-downscaling.patch
# rename downscaling as intel, since it's set using alternatives
Patch4: xf86-video-i810-intel-rename.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libdrm-devel >= 2.2
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel
Requires: x11-driver-video-intel
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-i810 is the X.org driver for Intel i810.

%package downscaling
Summary: X.org driver for Intel i810 with downscaling support
Group: System/X11
Requires: x11-driver-video-intel > 2.4.2-7.1mdv2009.0

%description downscaling
x11-driver-video-i810-downscaling is the X.org driver for Intel i810,
with downscaling support (used on Classmate PC).

%prep
%setup -q -n xf86-video-i810-%{version}
# prevents the driver from doing operations when we do not have the VT lock 
%patch0 -p1 -b .vt_fix
%patch1 -p1 -b .ver
%patch2 -p1 -R -b .drm-support

# fix some version mismatch problems
autoreconf

rm -rf downscaling
cp -a . ../downscaling
mv ../downscaling .
pushd downscaling
%patch3 -p1 -b .downscaling
%patch4 -p1 -b .intel-rename
popd

%build
%configure
%make

pushd downscaling
%configure
%make
popd

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/libI810XvMC.la
rm -f %{buildroot}%{_libdir}/libI810XvMC.so
rm -f %{buildroot}%{_libdir}/libI810XvMC.so.1
rm -f %{buildroot}%{_libdir}/libI810XvMC.so.1.0.0

mkdir -p %{buildroot}%{_libdir}/xorg/modules/drivers/intel-downscaling
install downscaling/src/.libs/i810_drv.so %{buildroot}%{_libdir}/xorg/modules/drivers/intel-downscaling/
install downscaling/src/.libs/i810_drv.lai %{buildroot}%{_libdir}/xorg/modules/drivers/intel-downscaling/i810_drv.la

%clean
rm -rf %{buildroot}

# use posttrans so that files from old intel package are removed first
%posttrans downscaling
%{_sbindir}/update-alternatives \
  --install %{_libdir}/xorg/modules/drivers/intel_drv.so x11-intel-so %{_libdir}/xorg/modules/drivers/intel-downscaling/i810_drv.so 5 \
  --slave   %{_libdir}/xorg/modules/drivers/intel_drv.la x11-intel-la %{_libdir}/xorg/modules/drivers/intel-downscaling/i810_drv.la

%postun
[ $1 = 0 ] || exit 0
%{_sbindir}/update-alternatives --remove x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/i810_drv.so

%postun downscaling
[ $1 = 0 ] || exit 0
%{_sbindir}/update-alternatives --remove x11-intel-so %{_libdir}/xorg/modules/drivers/intel-common/i810_drv.so

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/i810_drv.la
%{_libdir}/xorg/modules/drivers/i810_drv.so
%{_mandir}/man4/i810.4*

%files downscaling
%defattr(-,root,root)
%dir %{_libdir}/xorg/modules/drivers/intel-downscaling
%{_libdir}/xorg/modules/drivers/intel-downscaling/i810_drv.*


%changelog
* Fri Oct 31 2008 Olivier Blin <oblin@mandriva.com> 1.7.4-31mdv2009.0
+ Revision: 299121
- require x11-driver-video-intel in downscaling sub-package (to convince XFdrake that intel is present)
- rename downscaling driver as intel

* Fri Oct 31 2008 Olivier Blin <oblin@mandriva.com> 1.7.4-30mdv2009.1
+ Revision: 299043
- lower alternatives priority
- conflicts with intel package not using alternatives
- add Intel Classmate patch for downscaling support
  (in a downscaling sub-package, to be enabled using alternatives,
   require a Xorg server with downscaling support)
- revert support for old "new" drm manager (to fix build)
- autoreconf in prep
- disable ld no-undefined (like in intel driver)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - improved description
    - add missing dot at end of description
    - improved summary

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.7.4-25mdv2008.1
+ Revision: 154977
- Updated BuildRequires and resubmit package.
- Update BuildRequires to match information collected by build scripts. And
  either require the proper version or add the missing BuildRequires.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 1.7.4-23mdv2008.1
+ Revision: 101660
- Resurrect old i810 driver for some obscure older chipsets that are not currently supported by intel 2.x driver
- import x11-driver-video-i810


